
# FolderableDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**created** | [**DateTime**](DateTime.md) | When the entity was created |  [optional]
**description** | **String** | A description of the folderable entity |  [optional]
**id** | **String** | The UUID unique identifier for the entity. | 
**metadata** | **Object** | Contains additional metadata about the entity returned. For example, a table entity might have a type attribute. |  [optional]
**modified** | [**DateTime**](DateTime.md) | When a significant event happened on the data object.  For example, for queries, this is when the last run occurred; for tables, this is when the last upload occurred. |  [optional]
**modifiedBy** | **String** | The identifier of the user who last modified the entity |  [optional]
**name** | **String** | The name of the folderable entity |  [optional]
**parentId** | **String** | The ID of the folder to which this entity belongs. This can be null if the entity is not in a folder. |  [optional]
**type** | **Integer** | The numerical identifier for the entity&#39;s type:  Query&#x3D;100, Table&#x3D;200, Pivot View&#x3D;500, Folder&#x3D;600, Shared Table&#x3D;700 | 
**updated** | [**DateTime**](DateTime.md) | When the data object was last updated |  [optional]
**updatedBy** | **String** | The identifier of the user who last updated the entity |  [optional]



