
# GlobalParameterDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**choices** | **List&lt;Object&gt;** | If the parameter is of type select, this is a list of possible choices. This is read only and is for listing and viewing reports to help the user. |  [optional]
**created** | [**DateTime**](DateTime.md) | When the entity was created |  [optional]
**databaseId** | **String** | The unique identifier of the database where this parameter can be used to filter query results |  [optional]
**description** | **String** | The description of the parameter |  [optional]
**id** | **String** | The entity&#39;s unique identifier |  [optional]
**label** | **String** | The label for the query parameter |  [optional]
**mode** | [**ModeEnum**](#ModeEnum) | The mode of the parameter |  [optional]
**name** | **String** | The name of the parameter |  [optional]
**overridable** | **Boolean** | Denotes if this parameter can be overridden later in the process, either when the query is created or executed.  The default is true; it can be overridden. |  [optional]
**selectListId** | **String** | If mode is select, this must be populated and is a reference to a select list from which choices will be derived. |  [optional]
**type** | [**TypeEnum**](#TypeEnum) | The type of the parameter |  [optional]
**updated** | [**DateTime**](DateTime.md) | When the entity was last updated |  [optional]
**userId** | **String** | The owner of the entity |  [optional]
**value** | **Object** | The default value of the parameter |  [optional]
**version** | **Long** | The version of the current representation of the entity |  [optional]


<a name="ModeEnum"></a>
## Enum: ModeEnum
Name | Value
---- | -----
SCALAR | &quot;scalar&quot;
SINGLESELECT | &quot;singleSelect&quot;
MULTISELECT | &quot;multiSelect&quot;


<a name="TypeEnum"></a>
## Enum: TypeEnum
Name | Value
---- | -----
STRING | &quot;string&quot;
BYTES | &quot;bytes&quot;
INTEGER | &quot;integer&quot;
FLOAT | &quot;float&quot;
BOOLEAN | &quot;boolean&quot;
TIMESTAMP | &quot;timestamp&quot;
DATE | &quot;date&quot;
TIME | &quot;time&quot;
DATETIME | &quot;datetime&quot;
GLOBAL_PARAMETER | &quot;global_parameter&quot;
NESTED_QUERY_PARAMETER | &quot;nested_query_parameter&quot;



