
# PivotViewDefinitionFilterDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**betweenValue** | **String** | A second value for &#39;between&#39; filters |  [optional]
**columnType** | [**ColumnTypeEnum**](#ColumnTypeEnum) | The column type. | 
**exclude** | **Boolean** | True if value list is exclude, false if value list is include. Defaults to true. |  [optional]
**filter** | [**FilterEnum**](#FilterEnum) | The filter to perform. |  [optional]
**filterValues** | **List&lt;String&gt;** | The values obtained after applying the filter |  [optional]
**name** | **String** | The column for the pivot view filter. The maximum size is 255 characters. | 
**value** | **String** | The value to filter on. |  [optional]


<a name="ColumnTypeEnum"></a>
## Enum: ColumnTypeEnum
Name | Value
---- | -----
INTEGER | &quot;integer&quot;
NUMBER | &quot;number&quot;
BOOLEAN | &quot;boolean&quot;
TIMESTAMP | &quot;timestamp&quot;
DATE | &quot;date&quot;
STRING | &quot;string&quot;
FLOAT | &quot;float&quot;


<a name="FilterEnum"></a>
## Enum: FilterEnum
Name | Value
---- | -----
EQUAL | &quot;EQUAL&quot;
NOT_EQUAL | &quot;NOT_EQUAL&quot;
GREATER | &quot;GREATER&quot;
GREATER_OR_EQUAL | &quot;GREATER_OR_EQUAL&quot;
LESS | &quot;LESS&quot;
LESS_OR_EQUAL | &quot;LESS_OR_EQUAL&quot;
BETWEEN | &quot;BETWEEN&quot;
NOT_BETWEEN | &quot;NOT_BETWEEN&quot;



