
# SelectListDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**created** | [**DateTime**](DateTime.md) | When the entity was created |  [optional]
**description** | **String** | Description of this select list. Max length: 1024 |  [optional]
**id** | **String** | The entity&#39;s unique identifier |  [optional]
**name** | **String** | Name of this select list. Max length: 100 |  [optional]
**type** | [**TypeEnum**](#TypeEnum) | This is currently not used and its value will always be &#39;static&#39;. In the future, more types will be added. |  [optional]
**updated** | [**DateTime**](DateTime.md) | When the entity was last updated |  [optional]
**userId** | **String** | The owner of the entity |  [optional]
**valueType** | [**ValueTypeEnum**](#ValueTypeEnum) | Defines the type of the items in the list. |  [optional]
**values** | **List&lt;Object&gt;** | List of possible values for the list. These values will be validated against the valueType provided. |  [optional]
**version** | **Long** | The version of the current representation of the entity |  [optional]


<a name="TypeEnum"></a>
## Enum: TypeEnum
Name | Value
---- | -----
STATIC | &quot;static&quot;


<a name="ValueTypeEnum"></a>
## Enum: ValueTypeEnum
Name | Value
---- | -----
STRING | &quot;string&quot;
BYTES | &quot;bytes&quot;
INTEGER | &quot;integer&quot;
FLOAT | &quot;float&quot;
BOOLEAN | &quot;boolean&quot;
TIMESTAMP | &quot;timestamp&quot;
DATE | &quot;date&quot;
TIME | &quot;time&quot;
DATETIME | &quot;datetime&quot;
GLOBAL_PARAMETER | &quot;global_parameter&quot;
NESTED_QUERY_PARAMETER | &quot;nested_query_parameter&quot;



